unit Constants;

interface

uses
  Windows, Messages, Classes, ActiveX;

const
  MsgBaseOffset = 100;
  WM_EndpointVolume = WM_User + MsgBaseOffset;
  WM_VolumeEvent = WM_User + MsgBaseOffset + 1;
  WM_SessionStateEvent = WM_User + MsgBaseOffset + 2;
  WM_DeviceStateChange = WM_User + MsgBaseOffset + 3;
  WM_DefaultDeviceChange = WM_User + MsgBaseOffset + 4;
  WM_DeviceAdded = WM_User + MsgBaseOffset + 5;
  WM_DeviceRemoved = WM_User + MsgBaseOffset + 6;
  WM_SessionDisconnected = WM_User + MsgBaseOffset + 7;
  WM_SessionCreate = WM_User + MsgBaseOffset + 8;

  eRender = $00000000;
  eCapture = $00000001;
  eAll = $00000002;
  EDataFlow_enum_count = $00000003;

  eConsole = $00000000;
  eMultimedia = $00000001;
  eCommunications = $00000002;
  ERole_enum_count = $00000003;

  AUDCLNT_SHAREMODE_SHARED = 0;
  AUDCLNT_SHAREMODE_EXCLUSIVE = 1;
  AUDCLNT_BUFFERFLAGS_DATA_DISCONTINUITY = 1;
  AUDCLNT_BUFFERFLAGS_SILENT = 2;
  AUDCLNT_BUFFERFLAGS_TIMESTAMP_ERROR = 4;
  AUDCLNT_STREAMFLAGS_LOOPBACK = $00020000;
  AUDCLNT_STREAMFLAGS_EVENTCALLBACK = $00040000;
  AUDCLNT_STREAMFLAGS_NOPERSIST = $00080000;

type
{$IF CompilerVersion < 20} // if compiler is older version than Delphi 2009
  UINT32 = integer;
  PUINT64 = ^int64;
{$IFEND}
  REFERENCE_TIME = int64;

  EDataFlow = TOleEnum;
  ERole = TOleEnum;
  AUDCLNT_SHAREMODE = TOleEnum;

  PVolMute = ^TVolMute;

  TVolMute = record
    Volume: single;
    Muted: boolean;
  end;

implementation

end.
