unit AudioCaptureClient;

interface

uses
  Windows, Messages, Classes;

const
  IID_IAudioCaptureClient: TGUID = '{C8ADBD64-E71E-48a0-A4DE-185C395CD317}';

type
  IAudioCaptureClient = interface(IUnknown)
    ['{C8ADBD64-E71E-48a0-A4DE-185C395CD317}']
    function GetBuffer(out pData: PBYTE; out NumFramesToRead: DWORD; out dwFlags: DWORD;
      pu64DevicePosition: PDWORD; pu64QPCPosition: PINT64): HResult; stdcall;
    function ReleaseBuffer(NumFramesRead: DWORD): HResult; stdcall;
    function GetNextPacketSize(out NumFramesInNextPacket: DWORD): HResult; stdcall;
  end;

implementation

end.
