unit AudioMeterInformation;

interface

uses
  Windows, Messages, Classes, AudioSessionControl;

const
  IID_IAudioMeterInformation: TGUID = '{C02216F6-8C67-4B5B-9D00-D008E73E0064}';

type
  IAudioMeterInformation = interface(IUnknown)
    ['{C02216F6-8C67-4B5B-9D00-D008E73E0064}']
    function GetPeakValue(out fPeak: Single): HRESULT; stdcall;
    function GetMeteringChannelCount(out nChannelCount: UINT): HRESULT; stdcall;
    function GetChannelsPeakValues(u32ChannelCount: UINT; pfPeakValues: pSingle): HRESULT; stdcall;
    function QueryHardwareSupport(out dwHardwareSupportMask: UINT): HRESULT; stdcall;
  end;

implementation

end.
