unit AudioSessionManager2;

interface

uses
  Windows, Messages, Classes, AudioSessionManager, AudioSessionEnumerator,
  AudioVolumeDuckNotification, AudioSessionNotification;

const
  IID_IAudioSessionManager2: TGUID = '{77AA99A0-1BD6-484F-8BC7-2C654C9A9B6F}'; // >= Windows 7

type
  IAudioSessionManager2 = interface(IAudioSessionManager)
    ['{77AA99A0-1BD6-484F-8BC7-2C654C9A9B6F}']
    function GetSessionEnumerator(out SessionEnum: IAudioSessionEnumerator): HResult; stdcall;
    function RegisterSessionNotification(SessionNotification: IAudioSessionNotification): HResult;
      stdcall;
    function UnregisterSessionNotification(SessionNotification: IAudioSessionNotification)
      : HResult; stdcall;
    function RegisterDuckNotification(const sessionID: LPCWSTR;
      const duckNotification: IAudioVolumeDuckNotification): HResult; stdcall;
    function UnregisterDuckNotification(const duckNotification: IAudioVolumeDuckNotification)
      : HResult; stdcall;
  end;

implementation

end.
