﻿unit PropEdit;

interface

uses
  DesignIntf, DesignEditors, AudioVolume, Dialogs;

type
  TMyComponentEditor = class(TComponentEditor)
   public
      procedure ExecuteVerb(Index: Integer); override;
      function GetVerbCount: Integer; override;
      function GetVerb(Index: Integer): string; override;
      procedure Edit; override;
   end;

  procedure Register;

implementation

procedure Register;
begin
  RegisterComponentEditor(TAudioVolume, TMyComponentEditor);
end;

{ TMyComponentEditor }

procedure TMyComponentEditor.Edit;
begin
  inherited
  //
end;

procedure TMyComponentEditor.ExecuteVerb(Index: Integer);
begin
   case Index of
      0:
        ShowMessage('TAudioVolume Component v1.00');
   end;
end;

function TMyComponentEditor.GetVerb(Index: Integer): string;
begin
   case Index of
      0: Result := 'Version';
   end;
end;

function TMyComponentEditor.GetVerbCount: Integer;
begin
  Result := 1;
end;

end.
