unit AudioSessionManager;

interface

uses
  Windows, Messages, Classes, AudioSessionControl, SimpleAudioVolume;

const
  IID_IAudioSessionManager: TGUID = '{BFA971F1-4D5E-40BB-935E-967039BFBEE4}';

type
  IAudioSessionManager = interface(IUnknown)
    ['{BFA971F1-4D5E-40BB-935E-967039BFBEE4}']
    function GetAudioSessionControl(AudioSessionGuid: pGUID; CrossProcessSession: LongBool;
      out SessionControl: IAudioSessionControl): HResult; stdcall;
    function GetSimpleAudioVolume(AudioSessionGuid: pGUID; StreamFlag: uint;
      out AudioVolume: ISimpleAudioVolume): HResult; stdcall;
  end;

implementation

end.
